Skip to main content
GET
Get a campaign

Authorizations

X-Api-Key
string
header
required

Your secret ReachBoost API key.

Path Parameters

workspace_uuid
string<uuid>
required

Your unique workspace identifier.

Example:

"YOUR_WORKSPACE_UUID"

campaign_uuid
string<uuid>
required

The unique identifier for the campaign.

Example:

"YOUR_CAMPAIGN_UUID"

Response

Campaign retrieved

uuid
string<uuid>
status
enum<string>
Available options:
draft,
active,
inactive,
finished
name
string
description
string | null
campaign_type
enum<string>
Available options:
new_connections,
existing_connections
flow_enabled
boolean

Whether this is a flow campaign, whose steps are read and replaced through the campaign flow endpoint. Fixed when the campaign is created.

senders
string<uuid>[]

List of sender UUIDs assigned to this campaign.

connection_request_limit
object
follow_up_limit
object
active_hours_utc
object | null

Active hours as HH:MM in UTC at today's offset. The campaign follows the local time in the workspace timezone, so these values move by one hour across a daylight saving change.

active_days
object
lead_list_uuids
string<uuid>[]

UUIDs of lead lists to use as the source of leads. Send an empty array to insert leads via the API instead of using lead lists. Send an empty array to insert leads via the API instead of using lead lists.

exclude
object
auto_finish
boolean
finished_at
string<date-time> | null
updated_at
string<date-time>
created_at
string<date-time>